﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;

namespace dahtd4ever
{
    public class HUDelement
    {
        public Texture2D texture;
        public Rectangle rectangle;
        public Color color;
        public Boolean IsInsteractive;
        public int type;

        public HUDelement(Texture2D texture, Rectangle rectangle, Boolean IsInteractive, int type)
        {
            this.type = type;
            this.texture = texture;
            this.rectangle = rectangle;
            this.IsInsteractive = IsInteractive;
            this.color = Color.Green;
        }

        public void ChangeColor()
        {
            if (this.color == Color.Green)
                this.color = Color.GreenYellow;

            else
                this.color = Color.Green;
        }
    }
}
