﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace dahtd4ever
{
    class StatusDisplay : Microsoft.Xna.Framework.DrawableGameComponent
    {
        int life;
        int ressources;
        Texture2D hud;
        Rectangle r = new Rectangle(0, 400, 800, 80);

        private SpriteBatch spriteBatch;


        public StatusDisplay(Game game)
            : base(game)
        {
            spriteBatch = new SpriteBatch(game.GraphicsDevice);
        }

        public override void Initialize()
        {

            base.Initialize();
        }

        public override void Update(GameTime gameTime)
        {
            base.Update(gameTime);
        }

        protected override void LoadContent()
        {
            hud = Game.Content.Load<Texture2D>("Graphics/hud");
        }


        protected override void UnloadContent()
        {
        }


        public override void Draw(GameTime gameTime)
        {
            base.Draw(gameTime);

            spriteBatch.Begin();

            spriteBatch.Draw(hud, r, Color.White);

            spriteBatch.End();
        }
    }


}
