using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;

// ToDo: Add GamePad Inputs

namespace dahtd4ever
{
    public class Input : Microsoft.Xna.Framework.GameComponent
    {
        public KeyboardState kbState; // Updated Keyboard states are saved here
        public MouseState mouseState; // Updated Mouse States are saved here

        public Input(Game game)
            : base(game)
        {
            // TODO: Construct any child components here
        }

        /// <summary>
        /// Allows the game component to perform any initialization it needs to before starting
        /// to run.  This is where it can query for any required services and load content.
        /// </summary>
        public override void Initialize()
        {
            // Keyboard & Mouse State gets initialized
            //kbState = Keyboard.GetState();
            //mouseState = Mouse.GetState();

            base.Initialize();
        }

        /// <summary>
        /// Allows the game component to update itself.
        /// </summary>
        /// <param name="gameTime">Provides a snapshot of timing values.</param>
        public override void Update(GameTime gameTime)
        {
            // Keyboard & Mouse State gets updated each update cycle
            //kbState = Keyboard.GetState();
            mouseState = Mouse.GetState();

            base.Update(gameTime);
        }
    }
}
